Index: cpukit/libfs/src/dosfs/dosfs.h
===================================================================
--- cpukit/libfs/src/dosfs/dosfs.h	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/dosfs.h	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -19,10 +19,10 @@
 #define _RTEMS_DOSFS_H
 
+#include <rtems.h>
+#include <rtems/libio.h>
+
 #ifdef __cplusplus
 extern "C" {
 #endif
-
-#include <rtems.h>
-#include <rtems/libio.h>
 
 extern rtems_filesystem_operations_table  msdos_ops;
@@ -45,5 +45,5 @@
   uint8_t   fattype;              /* request value: MSDOS_FMT_FAT12/16/32  */
   uint8_t   media;                /* media code. default: 0xF8             */
-  boolean   quick_format;         /* TRUE: do not clear out data sectors   */
+  bool      quick_format;         /* true: do not clear out data sectors   */
   uint32_t  cluster_align;        /* requested value: cluster alignment    */
                                   /*   make sector number of first sector  */
Index: cpukit/libfs/src/dosfs/fat.c
===================================================================
--- cpukit/libfs/src/dosfs/fat.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/fat.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -33,5 +33,5 @@
     rtems_status_code sc = RTEMS_SUCCESSFUL;
     uint8_t           i;
-    rtems_boolean     sec_of_fat;
+    bool              sec_of_fat;
 
 
@@ -111,5 +111,5 @@
     rtems_status_code sc = RTEMS_SUCCESSFUL;
     uint8_t           i;
-    rtems_boolean     sec_of_fat;
+    bool              sec_of_fat;
 
     if (fs_info->c.state == FAT_CACHE_EMPTY)
@@ -723,5 +723,5 @@
     register fat_fs_info_t *fs_info = mt_entry->fs_info;
     uint32_t                j = 0;
-    rtems_boolean           resrc_unsuff = FALSE;
+    bool                    resrc_unsuff = false;
 
     while (!resrc_unsuff)
@@ -746,8 +746,8 @@
                 fs_info->index = fs_info->uino_pool_size;
             else
-                resrc_unsuff = TRUE;
+                resrc_unsuff = true;
         }
         else
-            resrc_unsuff = TRUE;
+            resrc_unsuff = true;
     }
     return 0;
@@ -783,7 +783,7 @@
  *
  * RETURNS:
- *     TRUE if ino is allocated from unique ino pool, FALSE otherwise
- */
-inline rtems_boolean
+ *     true if ino is allocated from unique ino pool, false otherwise
+ */
+inline bool
 fat_ino_is_unique(
     rtems_filesystem_mount_table_entry_t *mt_entry,
Index: cpukit/libfs/src/dosfs/fat.h
===================================================================
--- cpukit/libfs/src/dosfs/fat.h	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/fat.h	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -18,15 +18,15 @@
 #define __DOSFS_FAT_H__
 
+#include <string.h>
+
+#include <rtems/seterr.h>
+
+#include <rtems/score/cpu.h>
+#include <errno.h>
+#include <rtems/bdbuf.h>
+
 #ifdef __cplusplus
 extern "C" {
 #endif
-
-#include <string.h>
-
-#include <rtems/seterr.h>
-
-#include <rtems/score/cpu.h>
-#include <errno.h>
-#include <rtems/bdbuf.h>
 
 #ifndef RC_OK
@@ -329,5 +329,5 @@
 {
     uint32_t            blk_num;
-    rtems_boolean       modified;
+    bool                modified;
     uint8_t             state;
     rtems_bdbuf_buffer *buf;
@@ -414,5 +414,5 @@
 fat_buf_mark_modified(fat_fs_info_t *fs_info)
 {
-    fs_info->c.modified = TRUE;
+    fs_info->c.modified = true;
 }
 
@@ -466,5 +466,5 @@
 fat_get_unique_ino(rtems_filesystem_mount_table_entry_t *mt_entry);
 
-rtems_boolean
+bool
 fat_ino_is_unique(rtems_filesystem_mount_table_entry_t *mt_entry,
                   uint32_t                              ino);
Index: cpukit/libfs/src/dosfs/msdos.h
===================================================================
--- cpukit/libfs/src/dosfs/msdos.h	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/msdos.h	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -16,13 +16,13 @@
 #define __DOSFS_MSDOS_H__
 
+#include <rtems.h>
+#include <rtems/libio_.h>
+
+#include "fat.h"
+#include "fat_file.h"
+
 #ifdef __cplusplus
 extern "C" {
 #endif
-
-#include <rtems.h>
-#include <rtems/libio_.h>
-
-#include "fat.h"
-#include "fat_file.h"
 
 #define MSDOS_NAME_NOT_FOUND_ERR  0x7D01
@@ -383,5 +383,5 @@
   rtems_filesystem_mount_table_entry_t *mt_entry,
   fat_file_fd_t                        *fat_fd,
-  rtems_boolean                        *ret_val
+  bool                                 *ret_val
 );
 
Index: cpukit/libfs/src/dosfs/msdos_dir.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_dir.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/msdos_dir.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -491,5 +491,5 @@
     msdos_fs_info_t   *fs_info = pathloc->mt_entry->fs_info;
     fat_file_fd_t     *fat_fd = pathloc->node_access;
-    rtems_boolean      is_empty = FALSE;
+    bool               is_empty = false;
 
     sc = rtems_semaphore_obtain(fs_info->vol_sema, RTEMS_WAIT,
Index: cpukit/libfs/src/dosfs/msdos_eval.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_eval.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/msdos_eval.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -267,5 +267,5 @@
     int                               len;
     char                              token[ MSDOS_NAME_MAX + 1 ];
-    rtems_boolean                     done = 0;
+    bool                              done = false;
 
     sc = rtems_semaphore_obtain(fs_info->vol_sema, RTEMS_WAIT,
@@ -375,5 +375,5 @@
                     }
                     else
-                        done = TRUE;
+                        done = true;
                 }
                 break;
Index: cpukit/libfs/src/dosfs/msdos_format.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_format.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/msdos_format.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -62,5 +62,5 @@
   char     OEMName[FAT_BR_OEMNAME_SIZE+1];
   char     VolLabel[FAT_BR_VOLLAB_SIZE+1];
-  boolean  VolLabel_present;
+  bool     VolLabel_present;
   uint32_t vol_id;
 }  msdos_format_param_t;
@@ -218,6 +218,6 @@
 {
 
-  boolean finished = FALSE;
-  int ret_val = 0;
+  bool     finished = false;
+  int      ret_val = 0;
   uint32_t fatdata_cluster_cnt;
   uint32_t fat_capacity;
@@ -265,5 +265,5 @@
     }
     else {
-      finished = TRUE;
+      finished = true;
     }
     /*
@@ -273,5 +273,5 @@
 	> MS_BYTES_PER_CLUSTER_LIMIT) {
       ret_val = EINVAL;
-      finished = TRUE;
+      finished = true;
     }
   } while (!finished);
@@ -584,5 +584,5 @@
 	(rqdata->VolLabel != NULL)) {
       from = rqdata->VolLabel;
-      fmt_params->VolLabel_present = TRUE;
+      fmt_params->VolLabel_present = true;
     }
     for (cnt = 0;
Index: cpukit/libfs/src/dosfs/msdos_misc.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_misc.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/dosfs/msdos_misc.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -690,5 +690,5 @@
     rtems_filesystem_mount_table_entry_t *mt_entry,
     fat_file_fd_t                        *fat_fd,
-    rtems_boolean                        *ret_val
+    bool                                 *ret_val
     )
 {
@@ -698,5 +698,5 @@
 
     /* dir is not empty */
-    *ret_val = FALSE;
+    *ret_val = false;
 
     while ((ret = fat_file_read(mt_entry, fat_fd, j * fs_info->fat.vol.bps,
@@ -726,5 +726,5 @@
                 MSDOS_THIS_DIR_ENTRY_AND_REST_EMPTY)
             {
-                *ret_val = TRUE;
+                *ret_val = true;
                 return RC_OK;
             }
@@ -733,5 +733,5 @@
         j++;
     }
-    *ret_val = TRUE;
+    *ret_val = true;
     return RC_OK;
 }
Index: cpukit/libfs/src/imfs/imfs_initsupp.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_initsupp.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/imfs/imfs_initsupp.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -42,5 +42,5 @@
 )
 {
-  rtems_boolean is_valid = FALSE;
+  bool is_valid = false;
   int bit_mask;
   /*
@@ -51,5 +51,5 @@
        bit_mask <<= 1) {
     if (bit_mask == requested_bytes_per_block) {
-      is_valid = TRUE;
+      is_valid = true;
     }
   }
Index: cpukit/libfs/src/imfs/ioman.c
===================================================================
--- cpukit/libfs/src/imfs/ioman.c	(revision 88d1c659357908e6943c6c6c922b1e03c7a82c0e)
+++ cpukit/libfs/src/imfs/ioman.c	(revision 0a896eb9ce19799b55fec0c8add34846a9d0bd9a)
@@ -81,5 +81,5 @@
   rtems_filesystem_node_types_t      node_type;
 
-  result = rtems_filesystem_evaluate_path( name, 0x00, &loc, TRUE );
+  result = rtems_filesystem_evaluate_path( name, 0x00, &loc, true );
   the_jnode = loc.node_access;
 
